﻿
'
'EWFNET
'SJJ Embedded Micro Solutions
'Copyright (c) 2004-2010 SJJ Micro Solutions    All Rights Reserved
'
'
'EWFNET.DLL - .NET Class Library
'
' Date: 12/03/04 - Comments generated
' Date: 8/1/10 - updated Comments for WES7
'
'P/Invoke interface for the EWFAPIMFC.DLL. This is a .NET class library that can be imported
'into a C# of VB.NET application to access the EWF APIs.
'
'Source code is provided as is without any warranty


Option Strict Off
Option Explicit On

Imports System
Imports System.Runtime.InteropServices
Imports System.ComponentModel

Namespace SJJEMS

    Public Class EWFAPI

        'This solution provides the basic EWF commands for a EWF application
        'If you add more functions to the EWFNET.DLL, you will also have
        'to add them here with P/Invoke for .NET.

        'The following functions return Long values.
        'The alternative is to change the EWFAPIMFC.DLL
        'to return a String values, thus putting all the work in the DLL
        'instead of the .NET application.

        Public Declare Function EwfEnable Lib "EWFAPIMFC.dll" (ByVal DriveH As String) As Long
        Public Declare Function EwfDisable Lib "EWFAPIMFC.dll" (ByVal DriveH As String, ByVal fCommit As Boolean) As Long
        Public Declare Function EwfCommitandDisableLive Lib "EWFAPIMFC.dll" (ByVal DriveH As String) As Long
        Public Declare Function EwfCommit Lib "EWFAPIMFC.dll" (ByVal DriveH As String) As Long
        Public Declare Function EwfClearCommand Lib "EWFAPIMFC.dll" (ByVal DriveH As String) As Long
        Public Declare Function EwfCommitFile Lib "EWFAPIMFC.dll" (ByVal DriveH As String, ByVal sUserFile As String) As Long

        'Status Functions return strings for TYPE, STATE, and Boot Command status

        Public Declare Function EWFStatus_Type Lib "EWFAPIMFC.dll" (ByVal DriveH As String) As String
        Public Declare Function EWFStatus_State Lib "EWFAPIMFC.dll" (ByVal DriveH As String) As String
        Public Declare Function EWFStatus_Command Lib "EWFAPIMFC.dll" (ByVal DriveH As String) As String


    End Class

End Namespace

